# Batch Delete Image Prewarm Tasks - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/gpus-v2-delete-image-prewarm

# Batch Delete Image Prewarm Tasks

DELETE

/

gpus

/

v2

/

prewarm-tasks

Try it

Batch Delete Image Prewarm Tasks

cURL

```
curl --request DELETE \
--url https://api.novita.ai/gpus/v2/prewarm-tasks \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>' \
--data '
{
"task_ids": [
"prewarm-task-a",
"prewarm-task-b"
]
}
'
```

```
import requestsurl = "https://api.novita.ai/gpus/v2/prewarm-tasks"payload = { "task_ids": ["prewarm-task-a", "prewarm-task-b"] }headers = { "Content-Type": "&#x3C;content-type>", "Authorization": "&#x3C;authorization>"}response = requests.delete(url, json=payload, headers=headers)print(response.text)
```

```
const options = { method: 'DELETE', headers: {'Content-Type': '&#x3C;content-type>', Authorization: '&#x3C;authorization>'}, body: JSON.stringify({task_ids: ['prewarm-task-a', 'prewarm-task-b']})};fetch('https://api.novita.ai/gpus/v2/prewarm-tasks', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/gpus/v2/prewarm-tasks", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "DELETE", CURLOPT_POSTFIELDS => json_encode([ 'task_ids' => [ 'prewarm-task-a', 'prewarm-task-b' ] ]), CURLOPT_HTTPHEADER => [ "Authorization: &#x3C;authorization>", "Content-Type: &#x3C;content-type>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"strings"	"net/http"	"io")func main() {	url := "https://api.novita.ai/gpus/v2/prewarm-tasks"	payload := strings.NewReader("{\n \"task_ids\": [\n \"prewarm-task-a\",\n \"prewarm-task-b\"\n ]\n}")	req, _ := http.NewRequest("DELETE", url, payload)	req.Header.Add("Content-Type", "&#x3C;content-type>")	req.Header.Add("Authorization", "&#x3C;authorization>")	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.delete("https://api.novita.ai/gpus/v2/prewarm-tasks") .header("Content-Type", "&#x3C;content-type>") .header("Authorization", "&#x3C;authorization>") .body("{\n \"task_ids\": [\n \"prewarm-task-a\",\n \"prewarm-task-b\"\n ]\n}") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/gpus/v2/prewarm-tasks")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Delete.new(url)request["Content-Type"] = '&#x3C;content-type>'request["Authorization"] = '&#x3C;authorization>'request.body = "{\n \"task_ids\": [\n \"prewarm-task-a\",\n \"prewarm-task-b\"\n ]\n}"response = http.request(request)puts response.read_body
```

200

```
{}
```

#### Headers

[​](#parameter-content-type)

Content-Type

string

required

Allowed value: application/json.

[​](#parameter-authorization)

Authorization

string

required

Bearer authentication format, e.g.: `Bearer {{API_KEY}}`.

#### Body

application/json

[​](#body-task-ids)

task_ids

string[]

required

Image prewarm task IDs to delete.

Example:

```
["prewarm-task-a", "prewarm-task-b"]
```

#### Response

200 - application/json

Empty object.

The response is of type `object`.

Last modified on June 23, 2026
